
Ceph - Bug #9528

RadosModel assertion failure in firefly

09/18/2014 04:14 PM - Tamilarasi muthamizhan

Status: Duplicate % Done: 0%

Priority: Urgent Spent time: 0.00 hour

Assignee:    

Category:    

Target version:    

Source: Q/A Affected Versions:  

Tags:  ceph-qa-suite:  

Backport:  Pull request ID:  

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

This is basically firefly client running against the dumpling cluster.

logs: 

http://qa-proxy.ceph.com/teuthology/teuthology-2014-09-11_23:20:03-multi-version-master-testing-basic-multi/479543/teuthology.log

config file used:

archive_path: /var/lib/teuthworker/archive/teuthology-2014-09-11_23:20:03-multi-version-master-tes

ting-basic-multi/479543

branch: master

description: multi-version/dumpling-x/basic/{0-cluster/start.yaml 1-install/dumpling-firefly.yaml

  2-workload/rados_snap_many_objects.yaml}

email: ceph-qa@ceph.com

job_id: '479543'

kernel:

  kdb: true

  sha1: cc55e543deef496e4b7646ad61df3ad482f84dd9

last_in_suite: false

machine_type: plana,burnupi,mira

name: teuthology-2014-09-11_23:20:03-multi-version-master-testing-basic-multi

nuke-on-error: true

os_type: ubuntu

overrides:

  admin_socket:

    branch: master

  ceph:

    conf:

      mon:

        debug mon: 20

        debug ms: 1

        debug paxos: 20

      osd:

        debug filestore: 20

        debug journal: 20

        debug ms: 1

        debug osd: 20

    log-whitelist:

    - slow request

    sha1: e01e0c274e63ed8cfcd184444de0af73e7d5012a

  ceph-deploy:

    branch:

      dev: master

    conf:
      client:

        log file: /var/log/ceph/ceph-$name.$pid.log

      mon:

        debug mon: 1

        debug ms: 20

        debug paxos: 20

        osd default pool size: 2

  install:

    ceph:

      sha1: e01e0c274e63ed8cfcd184444de0af73e7d5012a

  s3tests:

    branch: master

  workunit:

    sha1: e01e0c274e63ed8cfcd184444de0af73e7d5012a

owner: scheduled_teuthology@teuthology

priority: 1000

roles:

- - mon.a

  - mds.a

  - osd.0

  - osd.1

- - mon.b

  - mon.c

  - osd.2

  - osd.3

- - client.0

suite: multi-version

suite_branch: master

suite_path: /var/lib/teuthworker/src/ceph-qa-suite_master

tasks:

- chef: null

- clock.check: null

- install:

    branch: dumpling

- install.upgrade:

    client.0:

      branch: firefly

- ceph: null

- rados:

    clients:

    - client.0

    objects: 500

    op_weights:

      delete: 50

      read: 100

      rollback: 50

      snap_create: 50

      snap_remove: 50

      write: 100

    ops: 4000

teuthology_branch: master

tube: multi

verbose: true

worker_log: /var/lib/teuthworker/archive/worker_logs/worker.multi.5984

===========

2014-09-12T09:21:29.614 INFO:tasks.rados.rados.0.plana37.stderr:Error: finished tid 1 when last_ac

ked_tid was 5

2014-09-12T09:21:29.614 INFO:tasks.rados.rados.0.plana37.stderr:./test/osd/RadosModel.h: In functi

on 'virtual void WriteOp::_finish(TestOp::CallbackInfo*)' thread 7fb15c860700 time 2014-09-12 09:2

1:29.612758

2014-09-12T09:21:29.615 INFO:tasks.rados.rados.0.plana37.stderr:./test/osd/RadosModel.h: 828: FAIL

ED assert(0)

2014-09-12T09:21:29.615 INFO:tasks.rados.rados.0.plana37.stderr: ceph version 0.80.5-221-g3abf954 

(3abf95456783346e6686919b803c4819d5e82ab7)

2014-09-12T09:21:29.615 INFO:tasks.rados.rados.0.plana37.stderr: 1: (WriteOp::_finish(TestOp::Call

backInfo*)+0x318) [0x41a058]
2014-09-12T09:21:29.615 INFO:tasks.rados.rados.0.plana37.stderr: 2: (write_callback(void*, void*)+

0x21) [0x427c21]

2014-09-12T09:21:29.615 INFO:tasks.rados.rados.0.plana37.stderr: 3: (librados::C_AioSafe::finish(i

nt)+0x1d) [0x7fb163615acd]

2014-09-12T09:21:29.615 INFO:tasks.rados.rados.0.plana37.stderr: 4: (Context::complete(int)+0x9) [

0x7fb1635f3089]

2014-09-12T09:21:29.615 INFO:tasks.rados.rados.0.plana37.stderr: 5: (Finisher::finisher_thread_ent

ry()+0x1c0) [0x7fb1636a6d80]

2014-09-12T09:21:29.616 INFO:tasks.rados.rados.0.plana37.stderr: 6: (()+0x7e9a) [0x7fb16325ae9a]

2014-09-12T09:21:29.616 INFO:tasks.rados.rados.0.plana37.stderr: 7: (clone()+0x6d) [0x7fb162a713fd

]

2014-09-12T09:21:29.616 INFO:tasks.rados.rados.0.plana37.stderr: NOTE: a copy of the executable, o

r `objdump -rdS <executable>` is needed to interpret this.

2014-09-12T09:21:29.616 INFO:tasks.rados.rados.0.plana37.stderr:terminate called after throwing an

 instance of 'ceph::FailedAssertion'

2014-09-12T09:21:29.928 ERROR:teuthology.run_tasks:Manager failed: rados

Traceback (most recent call last):

  File "/home/teuthworker/src/teuthology_master/teuthology/run_tasks.py", line 113, in run_tasks

    suppress = manager.__exit__(*exc_info)

  File "/usr/lib/python2.7/contextlib.py", line 24, in __exit__

    self.gen.next()

  File "/var/lib/teuthworker/src/ceph-qa-suite_master/tasks/rados.py", line 190, in task

    running.get()

  File "/usr/lib/python2.7/dist-packages/gevent/greenlet.py", line 331, in get

    raise self._exception

CommandCrashedError: Command crashed: 'CEPH_CLIENT_ID=0 adjust-ulimits ceph-coverage /home/ubuntu/

cephtest/archive/coverage ceph_test_rados --op read 100 --op write 100 --op delete 50 --max-ops 40

00 --objects 500 --max-in-flight 16 --size 4000000 --min-stride-size 400000 --max-stride-size 8000

00 --max-seconds 0 --op snap_create 50 --op snap_remove 50 --op rollback 50 --pool unique_pool_0'

Related issues:

Related to Ceph - Bug #9064: RadosModel assertion failure Resolved 08/11/2014

History

#1 - 09/18/2014 04:17 PM - Tamilarasi muthamizhan

also this one,

log:  http://qa-proxy.ceph.com/teuthology/teuthology-2014-09-11_23:20:03-multi-version-master-testing-basic-multi/479547/

#2 - 09/23/2014 01:22 PM - Samuel Just

- Status changed from New to Duplicate

#3 - 09/23/2014 05:48 PM - Tamilarasi muthamizhan

sam, please mention the parent bug.
